Bug 67905 - position:fixed does not work on page with video in iframe
Summary: position:fixed does not work on page with video in iframe
Status: NEW
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh Unspecified
: P2 Critical
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2011-09-11 03:57 PDT by Josef
Modified: 2011-10-29 05:02 PDT (History)
5 users (show)

See Also:


Attachments
Test files to simulate the problem (1.50 MB, application/zip)
2011-09-11 04:01 PDT, Josef
no flags Details
second set of test files (1.50 MB, application/zip)
2011-09-16 02:23 PDT, Josef
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Josef 2011-09-11 03:57:47 PDT
In Safari Version 5.1 (6534.50)  there is a problem with elements which has a CSS fixed position in combination with a embed video in a frameset frame.
If we load our test.html file direct a browser window it is working fine. The problem is that the element with the fixed position is not fixed in the position if the window content scrolls. To simulate the behavior load either the index.html or the test.html in the browser window. Without a frameset it will work correctly. In the last Nightly Build this problem is only to demonstrate with a complex page. But with the Safari Version 5.1 it will happen also with this easy test environment.

Best Regards
--
Josef
Comment 1 Josef 2011-09-11 04:01:38 PDT
Created attachment 107003 [details]
Test files to simulate the problem
Comment 2 Julien Chaffraix 2011-09-14 18:10:39 PDT
Tried to reproduce the bug on ToT (both using Chromium and Qt on Linux) but the fixed div was properly behaving in my testing:

> In the last Nightly Build this problem is only to demonstrate with a complex 
> page. But with the Safari Version 5.1 it will happen also with this easy test 
> environment.

It looks like we will need a more complex case if you want us to fix the issue as we are testing against the latest and greatest WebKit.
Comment 3 Josef 2011-09-14 23:24:02 PDT
Hi Julien,

if you are not testing with Safari 5.1 (6534.50), you will not see the problem. I will try to setup a more complex test file, but the behavior in the last Webkit version is not the same, also not with a more complex test. In Webkit you will see that all elements with a fixes position are making small jumps to reposition while you are scrolling.
So for my problem with Safari 5.1 you are not able to work on this problem, because you are not using Safari on Mac. That means I have to forward this bug to Apple. Does Apple also have a Bugzilla page to report a bug?

Best Regards
--
Josef
Comment 4 Simon Fraser (smfr) 2011-09-14 23:38:08 PDT
This is a compositing problem.
Comment 5 Josef 2011-09-16 02:19:29 PDT
I create a second set of test files. If you are loading index_xxl.html in Webkit browser you will see that the element with a fixed position is making small jumps to reposition while you are scrolling. But keep in mind
this is not the same behavior than in Safari because there it lost the fixed position totally.

--
Josef
Comment 6 Josef 2011-09-16 02:23:58 PDT
Created attachment 107627 [details]
second set of test files
Comment 7 Loic Dachary 2011-09-28 02:25:14 PDT
I confirm the second set of test files show 
A) that the fixed position red box jumps while scrolling down using midori on GNU/Linux with libwebkitgtk-1.0-0 version 1.4.2. 
B) that the fixed position red box disapear from the page when scrolling down on safari 5.1
Comment 8 Josef 2011-10-24 06:02:33 PDT
when we can expect a bug-fix?

Thank you!

--
Josef
Comment 9 Radar WebKit Bug Importer 2011-10-24 11:35:26 PDT
<rdar://problem/10334950>